Bug 87567

Summary: [BlackBerry] Add an Overlay layer
Product: WebKit Reporter: Arvid Nilsson <anilsson>
Component: WebKit BlackBerryAssignee: Arvid Nilsson <anilsson>
Status: RESOLVED FIXED    
Severity: Normal CC: rwlbuis, tonikitoo, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 87565    
Bug Blocks: 87569    
Attachments:
Description Flags
Patch none

Description Arvid Nilsson 2012-05-25 22:20:54 PDT
The overlay layer allows us to have compositing layers even though the
            web page is not currently using accelerated compositing.
    
            These layers can be used to implement tap highlight, inspector overlay
            and more.
    
            Reviewed by Filip Spacek.


            The WebCore changes support the overlay layer functionality in WebKit
            by making it possible to add animations from the compositing thread
            without them being instantly overwritten during the next commit.
    
            Also a new custom layer type is added, which allow an overlay layer to
            draw itself using raw OpenGL calls. An instance of a custom subclass of
            LayerCompositingThread must be provided when creating the
            LayerWebKitThread. Then, the custom layer can be used as the content
            layer of a GraphicsLayer, or by itself.
Comment 1 Arvid Nilsson 2012-05-27 06:31:34 PDT
Created attachment 144230 [details]
Patch
Comment 2 Antonio Gomes 2012-05-27 07:08:34 PDT
Comment on attachment 144230 [details]
Patch

simply awesome!!!
Comment 3 Antonio Gomes 2012-05-27 07:09:28 PDT
did not set cq+, since it does not seem to apply. ping me when it is ready to land (its dependencies have landed, for example).
Comment 4 Arvid Nilsson 2012-05-27 11:03:30 PDT
(In reply to comment #2)
> (From update of attachment 144230 [details])
> simply awesome!!!

It gets a lot better - there's a whole series of upcoming "overlay" patches to create a public BlackBerry::WebKit::WebOverlay API for adding AC layers to the web page =)
Comment 5 WebKit Review Bot 2012-05-28 11:29:45 PDT
Comment on attachment 144230 [details]
Patch

Clearing flags on attachment: 144230

Committed r118699: <http://trac.webkit.org/changeset/118699>
Comment 6 WebKit Review Bot 2012-05-28 11:29:50 PDT
All reviewed patches have been landed.  Closing bug.